/*-- section dev --*/

.dev .dev-category-wrap {
  padding-left: 12px;
  color: #fff;
  width: 100%;
}

.dev .dev-category-wrap>div {
  width: 100%;
  height: 200px;
}

.dev .dev-category-wrap .dev-category-1>div {
  width: 49.4%;
}

.dev .dev-category-wrap .dev-title {
  font-size: 16px;
}

.dev .dev-category-wrap .dev-sub-title {
  font-size: 14px;
  margin-top: 2px;
}

.dev .dev-category-item {
  background-size: cover !important;
  background-repeat: no-repeat;
  background-position: center top;
  padding: 30px 20px 20px 20px;
  position: relative;
}

.dev .dev-category-item .dev-action a {
  color: #fff;
  border-color: #fff;
  font-size: 12px;
}

.dev .dev-category-item .dev-action a.btn {
  font-size: 14px;
}

.dev .dev-category-item .dev-action a.btn:hover {
  border-color: #c7000b !important;
  color: #fff !important;
  background-color: #c7000b !important;
}

.dev .dev-rank {
  background: linear-gradient(225deg, rgba(90, 67, 142, 1) 0%, rgba(101, 134, 203, 1) 100%);
  padding: 15px;
}

.dev .dev-rank .panel-header {
  background: none;
  clip-path: none;
  padding: 0;
  font-size: 16px;
  height: 100%;
}

.dev .dev-rank .panel-body {
  margin-top: 20px;
}

.dev .dev-rank .rank-sub-title {
  font-size: 12px;
  width: 65%;
}

.dev .dev-rank .rank-sub-action {
  width: 35%;
}

.dev .dev-rank .rank-sub-action a {
  font-size: 12px;
  color: #fff;
  width: 100%;
}

.dev .dev-rank .rank-sub-action a:hover {
  border-color: #c7000b !important;
  color: #fff !important;
  background-color: #c7000b !important;
  ;
}

.dev .dev-rank .rank-list {
  height: 320px;
  background-color: #fff;
}


/*-- head agenda --*/
.mid-head #head-agenda-list-lang li {
  width: 100%;
  
}
.mid-head .agenda-lang-title {
  font-size: 12px;
}

.mid-head .agenda-lang-list {
  margin-top: 5px;
  display: flex;
}

.mid-head .agenda-lang-list a {
  padding-left: 0 !important;
  margin-right: 38px;
}

.mid-head #head-list-more-lang {
  margin-top: 10px;
  padding-top: 8px;
  border-top: 1px solid #444;
}

.mid-head .agenda-lang-list a::before {
  display: none;
}


/*-- mid head --*/

.mid-head .mid-head-tabs > div.lang::before {
  background: url(//www-file.huawei.com/minisite/media/hc2020/img/index-mid/header/icon-lang-2.png) no-repeat;
}

.mid-head .mid-head-tabs > div.lang.active::before {
  background: url(//www-file.huawei.com/minisite/media/hc2020/img/index-mid/header/icon-lang-1.png) no-repeat;
}

/*-- section hc --*/
.section-hc .hc-list > li {
  width: 25%;
}

.section-hc .hc-scroll-list-wrap {
  width: 75%;
}


.section-recommend .dock-recomend-more {
  height: 100%;
  line-height: 1.3;
  text-align: center;
  padding: 13px 5px;
  white-space: nowrap;
  transform: rotate(90deg) translate(0, 50%);

}

.section-app .app-item{
  width: 150px;
}